> ## Documentation Index
> Fetch the complete documentation index at: https://www.octoparse.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Aggiornare il token

> **Piano richiesto:** tutti gli utenti.

Alla scadenza di un token di accesso, puoi aggiornarlo usando il refresh_token ottenuto durante la richiesta iniziale del token.



## OpenAPI

````yaml /it/api/refresh-token.openapi.json post /token
openapi: 3.0.1
info:
  title: API Octoparse per l'aggiornamento del token
  version: 1.0.0
servers:
  - url: https://openapi.octoparse.com
    description: Server API Octoparse
security: []
paths:
  /token:
    post:
      tags:
        - Access Token
      summary: Aggiornare il token
      description: >-
        **Piano richiesto:** tutti gli utenti.


        Alla scadenza di un token di accesso, puoi aggiornarlo usando il
        refresh_token ottenuto durante la richiesta iniziale del token.
      operationId: refreshToken
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - refresh_token
                - grant_type
              properties:
                refresh_token:
                  type: string
                  description: >-
                    Token di aggiornamento restituito dalla risposta del token
                    originale
                grant_type:
                  type: string
                  description: Deve essere `refresh_token`
                  example: refresh_token
      responses:
        '200':
          description: Token aggiornato correttamente
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      access_token:
                        type: string
                      expires_in:
                        type: integer
                      token_type:
                        type: string
                      refresh_token:
                        type: string
                  requestId:
                    type: string

````